public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/camlp4/
Date: Tue, 31 May 2022 09:11:51 +0000 (UTC)	[thread overview]
Message-ID: <1653988300.79d7bbb63b9bfb1cfc3d99765774729f8dd9caa9.sam@gentoo> (raw)

commit:     79d7bbb63b9bfb1cfc3d99765774729f8dd9caa9
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue May 31 09:11:40 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue May 31 09:11:40 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79d7bbb6

dev-ml/camlp4: add 4.14

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-ml/camlp4/Manifest           |  1 +
 dev-ml/camlp4/camlp4-4.14.ebuild | 53 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-ml/camlp4/Manifest b/dev-ml/camlp4/Manifest
index 2cfdd7888a13..4c5e345871a6 100644
--- a/dev-ml/camlp4/Manifest
+++ b/dev-ml/camlp4/Manifest
@@ -4,3 +4,4 @@ DIST camlp4-4.10_p1.tar.gz 650092 BLAKE2B d7a6221dba5f6ec6963fe35236c29f39b8ae8f
 DIST camlp4-4.11_p1.tar.gz 650280 BLAKE2B 6fe46b49c1f2b2e5fc87fbbbdba3ccae795c555737495c298456b84f0dca79c750aa6e4ab2c23bbc7ba4724defdfb739e370f468a78658035474d2f3ad255995 SHA512 8e572602c1c465017a234565efa2249c935ba1ad3d399a6b264bfbec345958130a96311c79e437ac995e3ead9ff7b4f2d3fe6aa4a3a82431ae0cc6257a300f4c
 DIST camlp4-4.12.tar.gz 650428 BLAKE2B 4957d3db73ec82fbac58dd95fa13c48f9f8480a70cd6bded43a00df0a182f9b9e31a43acef8264f9d940776667d10b0a5c46bded59ebf4a645719264628428fc SHA512 0a19bb596e47076a28a6bea62007f1d3b59c4d688075f6b723abaa205c555707feb4ea0624259994a4ba5251fdea9dc61cdc936dc13611b36937e755a4bc9b7b
 DIST camlp4-4.13.tar.gz 650642 BLAKE2B 5bf70b21f47eefe4631227d0d30fdd08ab965020026d0183fc94b9dbfd1eee45626afbe62bf9507b1a887217cf9245901d40f25cce9430155eb9ec1ddc577554 SHA512 d3307bd11b813540d126719c0afe7e75a7740d0851b272be9bd1a28e8b1ab1ed9a7576109000c8d6cee7ece7f777122aa83917a48147d42ed8f4d72994397819
+DIST camlp4-4.14.tar.gz 653205 BLAKE2B 52978c3fc67ddc1ecf8f6e4fa956823bd1bca41f7a317e4a17936ec774171fd566e49140da69930750dceb5519657912cc2490ca725838c27bbe5ec987596d67 SHA512 1f06a5db82f556da8bfb2c7a699acb007173d4e685aa07a8349b1da91a8ac1a460bf9f98ac8f920357961c1da78ccc27814e178d466e270a4f00a1a9f00ea776

diff --git a/dev-ml/camlp4/camlp4-4.14.ebuild b/dev-ml/camlp4/camlp4-4.14.ebuild
new file mode 100644
index 000000000000..d6ee3cfc6557
--- /dev/null
+++ b/dev-ml/camlp4/camlp4-4.14.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PV=${PV/_p/+}
+MY_P=${PN}-${MY_PV}
+
+inherit edo
+
+DESCRIPTION="System for writing extensible parsers for programming languages"
+HOMEPAGE="https://github.com/camlp4/camlp4"
+SRC_URI="https://github.com/camlp4/camlp4/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}"/${P/_p/-}
+
+LICENSE="LGPL-2-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="+ocamlopt"
+
+RDEPEND="dev-lang/ocaml:0/$(ver_cut 1-2)[ocamlopt?]"
+DEPEND="${RDEPEND}
+	dev-ml/ocamlbuild[ocamlopt?]
+	dev-ml/findlib:="
+
+QA_FLAGS_IGNORED='.*'
+
+PATCHES=( "${FILESDIR}/reload.patch" )
+
+src_configure() {
+	edo ./configure \
+		--bindir="${EPREFIX}/usr/bin" \
+		--libdir="$(ocamlc -where)" \
+		--pkgdir="$(ocamlc -where)"
+}
+
+src_compile() {
+	# Increase stack limit to 11GiB to avoid stack overflow error.
+	ulimit -s 11530000
+
+	emake byte
+	use ocamlopt && emake native
+}
+
+src_install() {
+	emake DESTDIR="${D}" install install-META
+	dodoc CHANGES.md README.md
+
+	if has_version ">=dev-ml/findlib-1.9" ; then
+		# See bug #803275
+		rm "${ED}/usr/$(get_libdir)/ocaml/camlp4/META" || die
+	fi
+}


             reply	other threads:[~2022-05-31  9:11 UTC|newest]

Thread overview: 69+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-31  9:11 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-25 12:04 [gentoo-commits] repo/gentoo:master commit in: dev-ml/camlp4/ Andreas K. Hüttel
2024-06-09 11:39 Alfredo Tupone
2024-06-01 21:39 Alfredo Tupone
2023-10-28  0:24 Sam James
2023-04-29 16:16 Arthur Zamarin
2023-04-29  8:59 Sam James
2023-04-29  8:43 Arthur Zamarin
2023-04-29  8:27 Arthur Zamarin
2023-03-26  7:52 Alfredo Tupone
2023-03-17 10:17 Arthur Zamarin
2023-02-15 18:38 Matt Turner
2023-02-11 11:05 Alfredo Tupone
2023-02-11  9:48 Alfredo Tupone
2023-01-30 23:45 Maciej Barć
2022-01-13 18:59 Alfredo Tupone
2021-10-17 19:09 Sam James
2021-10-17  0:13 Sam James
2021-10-15  3:04 Sam James
2021-10-13  6:02 Agostino Sarubbo
2021-10-13  5:54 Agostino Sarubbo
2021-10-07  1:46 Sam James
2021-10-07  1:45 Sam James
2021-10-06  1:02 Sam James
2021-06-10 10:22 Alfredo Tupone
2021-06-09 21:45 Sam James
2021-06-09 21:45 Sam James
2021-06-09 21:45 Sam James
2021-06-09 21:45 Sam James
2021-06-09 21:45 Sam James
2021-05-04 22:17 Sam James
2021-01-28 20:11 Alfredo Tupone
2021-01-26 17:59 Alfredo Tupone
2020-12-28 11:49 Sam James
2020-11-28 18:37 Aaron Bauman
2020-10-25 20:27 Sam James
2020-10-14 11:34 Mark Wright
2020-10-09  8:40 Agostino Sarubbo
2020-09-25 19:00 Sam James
2020-09-07  8:47 Sergei Trofimovich
2020-09-01  0:04 Sam James
2020-07-20  9:01 Joonas Niilola
2020-05-05  8:47 Joonas Niilola
2020-02-09 22:26 Miroslav Šulc
2017-10-14 11:13 Alexis Ballier
2017-06-19 18:12 Alexis Ballier
2017-03-03 11:28 Alexis Ballier
2017-03-03 11:28 Alexis Ballier
2017-02-14  9:31 Alexis Ballier
2017-02-12 19:58 Markus Meier
2017-01-29 23:02 Jeroen Roovers
2017-01-26 15:28 Agostino Sarubbo
2017-01-26 11:00 Agostino Sarubbo
2017-01-26 10:22 Agostino Sarubbo
2017-01-25 19:21 Tobias Klausmann
2017-01-25 15:52 Agostino Sarubbo
2017-01-25 15:35 Agostino Sarubbo
2017-01-25 14:29 Agostino Sarubbo
2017-01-14 17:14 Mikle Kolyada
2016-11-29 15:05 Alexis Ballier
2016-03-01 19:17 Alexis Ballier
2016-03-01 18:47 Alexis Ballier
2016-02-04 17:24 Tobias Klausmann
2015-11-21 14:24 Markus Meier
2015-11-12 11:21 Agostino Sarubbo
2015-11-11  9:54 Agostino Sarubbo
2015-11-10 12:01 Agostino Sarubbo
2015-11-03  4:14 Jeroen Roovers
2015-11-01 11:12 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1653988300.79d7bbb63b9bfb1cfc3d99765774729f8dd9caa9.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox